<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<html>
<head><title>BankID successful</title></head>
<body>
<jsp:useBean scope="request" id="sessionSequenceInfo" type="bid.ex.support.SessionSequenceInfo"/>

<h1>BankID signing was successful</h1>

<ul>
    <li>SSN:${sessionSequenceInfo.ssn}</li>
    <li>User pressed Cancel: ${sessionSequenceInfo.userPressedCancel}</li>
    <li>Number of PAdESs: ${sessionSequenceInfo.padessLength}
        <ul>
            <% for(int i = 0; i < sessionSequenceInfo.getPadessLength(); i++) { %>
            <li>
                <a href="download?sid=<%=sessionSequenceInfo.getSid()%>&index=<%=i%>">
                    Download doc - <%=i + 1%>
                </a>
            </li>
            <% } %>
        </ul>
    </li>
</ul>

</body>
</html>