<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ page contentType="text/html;charset=utf-8" language="java" %>
<jsp:useBean id="bidhelperUri" scope="request" type="java.lang.String"/>
<jsp:useBean id="sid" scope="request" type="java.lang.String"/>


<!DOCTYPE html>
<html>
<head>
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <title>Signing using BankID Webclient</title>
    <%-- The use of defer is suggested by the BankID 2 documentation from NETS, but may in some cases be insufficient to ensure that components are
    loaded in the correct order. JavaScript-heavy applications, particularly ones that perform initialization through onDocumentReady/onLoad, may need
    to take more direct control of the order of initialization for things to work. --%>
    <script type="text/javascript" src="${bidhelperUri}" defer></script>
    <script type="text/javascript" src="<c:url value='/bwc_startup_script?sid=${sid}'/>"></script>
</head>


<body>

<h1>Signing or authentication using BankID Webclient</h1>
<div id="bankidwebclient"></div>
</body>

</html>