package bid.ex.support;

public class XMLAndXSLDummyData {
    public static final String XML_TO_SIGN = "<?xml version=\"1.0\" encoding=\"ISO-8859-1\" ?>\n" +
            "<Persons>" +
            "<Person><Name>Ola Æ Normann</Name><Street>Olaveien 99</Street><Zip>9988</Zip><City>Oslo</City></Person>" +
            "<Person><Name>Kalle Svenske</Name><Street>Medelvegen 30</Street><Zip>9876</Zip><City>Stockholm</City></Person>" +
            "<Person><Name>Kari IngridsDottir</Name><Street>Somewhere</Street><Zip>7070</Zip><City>Bosberg</City></Person>" +
            "<Person><Name>Olava Olsen</Name><Street>Nedre 12</Street><Zip>2211</Zip><City>Sørpå</City></Person>" +
            "</Persons>";
    public static final String XSL_TO_USE =
            "<?xml version=\"1.0\" encoding=\"ISO-8859-1\" ?>\n" +
                    "<xsl:stylesheet version=\"1.0\" xmlns:xsl=\"http://www.w3.org/1999/XSL/Transform\"> " +
                    "<xsl:output method=\"html\" encoding=\"ISO-8859-1\" doctype-system=\"http://www.w3.org/TR/html4/loose.dtd\" doctype-public=\"-//W3C//DTD HTML 4.01 Transitional//EN\" indent=\"yes\" />" +
                    "<xsl:template match=\"/\">" +
                    "   <HTML>" +
                    "   <BODY>" +
                    "       <h2>Eksempel på XML/XSL.</h2> <p>Under er en liste personer tatt fra XML-en </p>" +
                    "       <ul>" +
                    "           <xsl:for-each select=\"Persons/Person\">" +
                    "               <xsl:if test=\"0 = position() mod 2\"><li style='color:red' >" +
                    "                   <xsl:value-of select=\"Name\"/>, <xsl:value-of select=\"Street\"/>, <xsl:value-of select=\"Zip\"/>, <xsl:value-of select=\"City\"/>" +
                    "               </li></xsl:if>" +
                    "               <xsl:if test=\"1 = position() mod 2\"><li style='color:green'>" +
                    "                   <xsl:value-of select=\"Name\"/>, <xsl:value-of select=\"Street\"/>, <xsl:value-of select=\"Zip\"/>, <xsl:value-of select=\"City\"/>" +
                    "               </li></xsl:if>" +
                    "           </xsl:for-each>" +
                    "       </ul>" +
                    "   </BODY>" +
                    "   </HTML>" +
                    "</xsl:template>" +
                    "</xsl:stylesheet>";

}
